*:***********************************************************************
*:
*: PROCEDURE : _MINIMO.PRG
*: REPORTE   : REPORTE DE PRODUCTOS CON STOCK MINIMO A LA FECHA
*:
*:***********************************************************************
PARAMETER cCodalm,cModo,cPagIni,cPagFin

* Impresion
DO CASE
CASE cModo = 1 OR cModo=2
	WAIT WINDOW "Procesando..." NOWAIT
	
	tmp = SYS(2015)
	cFileReport = "C:\"+tmp+".txt"
	SET PRINT TO (cFileReport)
	nLin  = 0
	nPage = 1
	nListaDesde = cPagIni
	nListahasta = cPagFin
	mago = .t.
	sp   = " "
	*********************************************
	cPrint(cCodalm +"-"+ almacen.alm_descrip,2,6)
	*********************************************
	SELE sqlSaldos
	REQUERY()
	SCAN 
	     IF oGlobal.mSaldo(cMes) <= 3
	        mlinea = codpro +sp+ LEFT(descrip, 50) +sp+ STR(oGlobal.mSaldo(cMes), 6) +sp+ "__________"
   	        ****************** 
	        cPrint(mLinea,1,6)
	        ******************
	     ENDIF
	ENDSCAN
	WAIT CLEAR
	
	cPrint(chr(12),0,0)
	SET PRINT TO 
	IF cModo = 1
		PUBLIC loBarraPreview,loPreview
		SET CLASSLIB TO printer
		loBarraPreview = CREATEOBJECT("barra_preview")
		loPreview = CREATEOBJECT("preview")
		loBarraPreview.Show
		loPreview.Show
		RELEASE CLASSLIB printer
	ELSE
        RUN /7 TYPE &cFileReport > prn
        ERASE &cFileReport
	ENDIF
CASE cModo = 3	&& Excel
	**
ENDCASE
RETURN

***************
FUNCTION cPrint
***************
LPARAMETER cLinea,cModo,cHeader
* cLinea = Registro a imprimir
* cModo  = Llave para control
* cHeader= Numero de Cabecera a Imprimir

IF nPage < nListaDesde
   nlin = nlin + 1
   nPage = nPage + iif(nLin%55=0,1,0)
   return .t.
ENDIF
SET DEVI TO PRINT
IF nLin>=52 .OR. nLin=0
   IF nPage > nListahasta
      mago = .f.
      SET DEVI TO SCREE
      return .t.
   ENDIF
   @00,000 say chr(27)+chr(15)+chr(14)+alltrim(cRazon)+chr(15)
   @01,000 say date()
   @01,012 say time()
   DO CASE
   CASE cHeader = 1  && 
   CASE cHeader = 2  && 
   CASE cHeader = 3  && 
   CASE cHeader = 4  && 
   CASE cHeader = 5  && 
   CASE cHeader = 6  && Reporte de Stock Minimo
        mtext = "REPORTE DE PRODUCTOS CON STOCK MINIMO"
        @01,080 say "Pagina "+str(nPage,3)
        @02,000 say "-----------------------------------------------------------------------------------------"
        @03,((090-len(ltrim(rtrim(mtext))))/2) say ltrim(rtrim(mtext)) 
        @04,000 say "-----------------------------------------------------------------------------------------"
        @05,000 say "                                                                        Saldo  Cantidad a"
        @06,000 say "    C o d i g o              Descripcion del Producto                   Actual Reponer   "
        @07,000 say "==================== ================================================== ====== =========="
   ENDCASE
   nPage = nPage + 1
   nLin  = 0
ENDIF
nLin = nLin + 1
@prow()+1,0 say cLinea
IF cModo = 2
   @prow(),0 say cLinea
ENDIF
SET DEVI TO SCREEN
RETURN
